# Generated by Django 5.0.4 on 2024-04-06 05:21

import Core.models
import django.core.validators
import django.db.models.deletion
from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Carreras',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('Nombre', models.CharField(choices=[('Contaduría', 'Contaduría'), ('Desarrollo & Gestión de Software', 'Desarrollo & Gestión de Software'), ('Electromecánica Industrial', 'Electromecánica Industrial'), ('Energías Renovables', 'Energías Renovables'), ('Entornos Virtuales & Negocios Digitales', 'Entornos Virtuales & Negocios Digitales'), ('Gestión de Redes Logísticas', 'Gestión de Redes Logísticas'), ('Innovación de Negocios & Mercadotecnia', 'Innovación de Negocios & Mercadotecnia'), ('Logística Comercial Global', 'Logística Comercial Global'), ('Manufactura Aeronáutica', 'Manufactura Aeronáutica'), ('Mecatronica', 'Mecatronica'), ('Procesos & Operaciones Industriales', 'Procesos & Operaciones Industriales'), ('Redes Inteligentes & Ciberseguridad', 'Redes Inteligentes & Ciberseguridad'), ('Tecnología Ambiental', 'Tecnología Ambiental')], max_length=64)),
            ],
        ),
        migrations.CreateModel(
            name='Casilleros',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('Disponibilidad', models.BooleanField(default=True)),
                ('Tamano', models.CharField(choices=[('Normal', 'Normal'), ('Grande', 'Grande')], max_length=8)),
                ('Precio', models.DecimalField(choices=[(80.0, '$80'), (120.0, '$120')], decimal_places=2, max_digits=6)),
                ('Docencia', models.CharField(choices=[('Docencia 1', 'Docencia 1'), ('Docencia 2', 'Docencia 2'), ('Docencia 3', 'Docencia 3'), ('Docencia 4', 'Docencia 4'), ('Docencia 5', 'Docencia 5')], max_length=16)),
                ('Piso', models.CharField(choices=[('Planta Baja', 'Planta Baja'), ('Planta Alta', 'Planta Alta')], max_length=16)),
            ],
        ),
        migrations.CreateModel(
            name='Grupos',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('Grado', models.CharField(choices=[('1ro', '1er Grado'), ('2do', '2do Grado'), ('3ro', '3er Grado'), ('4to', '4to Grado'), ('5to', '5to Grado'), ('6to', '6to Grado'), ('7mo', '7mo Grado'), ('8vo', '8vo Grado'), ('9no', '9no Grado')], max_length=16)),
                ('Grupo', models.CharField(choices=[('A', 'Grupo A'), ('B', 'Grupo B'), ('C', 'Grupo C'), ('D', 'Grupo D'), ('E', 'Grupo E')], max_length=8)),
            ],
        ),
        migrations.CreateModel(
            name='Usuarios',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('Matricula', models.CharField(max_length=10, unique=True)),
                ('Clave', models.CharField(max_length=128)),
                ('Nombres', models.CharField(max_length=128)),
                ('ApellidoPaterno', models.CharField(max_length=64)),
                ('ApellidoMaterno', models.CharField(blank=True, max_length=64, null=True)),
                ('Genero', models.CharField(choices=[('Masculino', 'Masculino'), ('Femenino', 'Femenino')], max_length=32)),
                ('Natalicio', models.DateField(validators=[Core.models.validacionEdad])),
                ('NumTel', models.CharField(default='(666) 666-6666', max_length=16)),
                ('Email', models.CharField(max_length=128, unique=True)),
                ('Ocupacion', models.CharField(choices=[('Alumno', 'Alumno'), ('Docente', 'Docente'), ('Administrativo', 'Administrativo')], max_length=32)),
                ('FechaRegistro', models.DateTimeField(auto_now_add=True)),
                ('FotoPerfil', models.ImageField(blank=True, null=True, upload_to='usuarios/perfil/', validators=[django.core.validators.FileExtensionValidator(['jpg', 'jpeg', 'png', 'webp'])])),
                ('FotoPortada', models.ImageField(blank=True, null=True, upload_to='usuarios/portada/', validators=[django.core.validators.FileExtensionValidator(['jpg', 'jpeg', 'png', 'webp'])])),
                ('Biografia', models.CharField(blank=True, max_length=512, null=True)),
            ],
        ),
        migrations.CreateModel(
            name='Rentas',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('RentaInicio', models.DateTimeField(auto_now_add=True)),
                ('RentaFinal', models.DateTimeField(auto_now_add=True)),
                ('FechaPago', models.DateTimeField(auto_now_add=True)),
                ('Casillero', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='Core.casilleros')),
                ('Usuario', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='Core.usuarios')),
            ],
        ),
    ]
